If you are looking for System Requirements, please visit this article first!

Many of our products are plug-ins (with the exception of photoFXlab, Glow, Impression, Texture Effects, DeNoise 6, and ReMask 5), meaning they are not free standing programs and require a compatible host program in order to be opened. See below for a list of programs that Topaz can be "plugged" into. 

 Important!

The free external editor Fusion Express 2 is required to use the plugins in Lightroom. We also sell a stand-alone editor, photoFXlab, which can replace Fusion Express as the external editor. 


 Mac: OS X 10.9.x/.10.x/.11.x

 Photoshop CS4-6
 Photoshop Elements 13-15
 Photoshop CC 2014-2017
 Lightroom 4-6
 Lightroom CC 2015
 PhotoFXlab
 Not Compatible with iPhoto
 Not Compatible with Aperture
 Not Compatible with Apple Photos
Have more questions? Submit a request

Can't find what you're looking for?